=== debian/control ===
Source: ros-dashing-aws-common
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), cmake, curl, libcurl4-openssl-dev, libssl-dev, ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-gtest, ros-dashing-ros-environment, uuid-dev, zlib1g-dev, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/aws_common
Standards-Version: 3.9.2

Package: ros-dashing-aws-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, libssl-dev, uuid-dev, zlib1g-dev, ros-dashing-ros-workspace
Description: Common AWS SDK utilities, intended for use by ROS packages using the AWS SDK
